MPI_File_create_errhandler(3)

NAME
MPI_File_create_errhandler - Creates an MPI-style error handler that can be attached to a file.

SYNTAX

C Syntax
#include <mpi.h>
int MPI_File_create_errhandler(MPI_File_errhandler_fn *function,
	MPI_Errhandler *errhandler)

Fortran Syntax
INCLUDE 'mpif.h'
MPI_FILE_CREATE_ERRHANDLER(FUNCTION, ERRHANDLER, IERROR)
	EXTERNAL	FUNCTION
	INTEGER	ERRHANDLER, IERROR

C++ Syntax
#include <mpi.h> static MPI::Errhandler
    MPI::File::Create_errhandler(MPI::File::Errhandler_fn*
    function)

INPUT PARAMETER

function
    User-defined error handling procedure (function).

OUTPUT PARAMETERS

errhandler
    MPI error handler (handle).

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
Registers the user routine function for use as an MPI exception handler. Returns in errhandler a handle to the registered exception handler.

In the C language, the user routine function should be a C function of type MPI_File_errhandler_fn, which is defined as

    typedef void (MPI_File_errhandler_fn)(MPI_File *, int *,
    ...);

The first argument to function is the file in use. The second is the error code to be returned by the MPI routine that raised the error.

In the Fortran language, the user routine should be of the form:

    SUBROUTINE FILE_ERRHANDLER_FN(FILE, ERROR_CODE, ...)
        INTEGER FILE, ERROR_CODE

In C++, the user routine function should be of the form:

    typedef void MPI::File::Errhandler_fn(MPI::File &, int *,
    ...);

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. For MPI I/O function errors, the default error handler is set to MPI_ERRORS_RETURN. The error handler may be changed with MPI_File_set_errhandler; the predefined error handler MPI_ERRORS_ARE_FATAL may be used to make I/O errors fatal. Note that MPI does not guarantee that an MPI program can continue past an error.